<!-- Based on compositing/overflow/fixed-scroll-in-empty-root-layer.html -->
<!DOCTYPE html>
<script src="resources/paint-invalidation-test.js"></script>
<script>
window.expectedPaintInvalidationObjects = [
    "LayoutBlockFlow (positioned) DIV",
    "LayoutBlockFlow (positioned) DIV",
];
function paintInvalidationTest() {
  window.scrollBy(0, 200);
}
onload = runPaintInvalidationTest;
</script>
<body style="height: 2000px">
  Tests invalidation of fixed element when scrolled in a page with empty root layer. Passes if there is no red.
  <div style="
    position: fixed;
    top: 50px;
    left: 0;
    width: 100px;
    height: 100px;
    background: green">
  </div>
  <!-- This div makes all of the contents of the page be in sublayers of the root layer, so root layer is empty. -->
  <div style="
    position: absolute;
    z-index: -1;
    backface-visibility: hidden;
    top: 250px;
    left: 0;
    background-color: red;
    width: 100px;
    height: 100px">
  </div>
</body>
